.TH delete() "" "" "DBM Function (libgdbm)"
.PC "Delete a record from a DBM data base"
.B "#include <dbm.h>"
\fBint delete (\fIkey\^\fB)\fR
\fBdatum \fIkey\^\fB;\fR
.PP
Function
.B delete()
deletes the record with
.I key
from the currently opened data base.
The data base must first have been opened by a call to
.BR dbminit() .
.PP
If all goes well,
.B delete()
returns zero.
If an error occurs, it returns a negative value.
.SH "See Also"
.XR "dbm.h," dbm.h
.XR "libgdbm" libgdbm
.SH Notes
For a statement of copyright and permissions on this routine, see the
Lexicon entry for
.BR libgdbm .
